{% extends 'base.html.twig' %}

{% set section='shopping list'|trans %}

{% block body %}
<div class="container-fluid mt-2">


    <div class="mt-2">
        {% include '_pugx_filter_b5.html.twig' with {name: 'shopping_list'} %}
        {% from '_pugx_sort_b5.html.twig' import sort -%}
    </div>
    <table class="table table-striped">
        <thead>
        <tr>
            <th>{% trans %}Product{% endtrans %}</th>
            <th></th>
        </tr>
        </thead>
        <tbody>
        {% for item_to_shop in pagination %}
            <tr>
                <td>{{ item_to_shop.product }}</td>
                <td>
                    <a href="{{ path('shopping_list_delete', {'id': item_to_shop.id}) }}" class="btn btn-danger">
                        {% trans %}Remove{% endtrans %}
                    </a>
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>


    <div class="row">
        <div class="col">
            <a href="{{ path('shopping_list_new') }}" class="btn btn-primary">
                {% trans %}Add product{% endtrans %}
            </a>
        </div>
        <div class="col text-right navigation">
            {{ knp_pagination_render(pagination) }}
        </div>
    </div>


</div>

{% endblock %}